#!/usr/bin/env bash

set -e

simdev_bucket="localdev-simulated-devices"

buckets=(
  "defense-augmented-events-test"
  "cblr-uploads-dev"
  "${simdev_bucket}"
  "ubs-uploads-dev"
  "psc-jobs-dev-output-us-east-1"
  "asyncreputation-dev"
)

for bucket in "${buckets[@]}"; do
  echo "Creating S3 bucket: ${bucket}"
  awslocal s3api create-bucket --bucket "${bucket}" >/dev/null
done

if [[ $EXTRACT_SIMULATED_DEVICES == "true" ]] || [[ $EXTRACT_SIMULATED_DEVICES -eq 1 ]]; then
  echo "Extracting simulated device dataset"
  pushd /data/simulated_devices >/dev/null
  tar -xzf simulated_devices.tar.gz >/dev/null
  popd >/dev/null
fi

for simfile in /data/simulated_devices/*.{log,json}; do
  simname=$(basename "${simfile}")
  echo "Uploading device simulator file: ${simname}"
  awslocal s3 cp "${simfile}" "s3://${simdev_bucket}/dev/${simname})" >/dev/null
done
